#
# spec file for package xv (Version 3.10a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libpng libtiff libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xv
Copyright:    1989, 1994 John Bradley (SHAREWARE)
Group:        X11/Applications/Graphics
Provides:     xv300 
Autoreqprov:  on
Version:      3.10a
Release:      416
Summary:      GIF/TIFF/JPEG/PostScript image viewer
Source:  xv-3.10a.tar.bz2
Source1: xv-jap-patches.tar.bz2
Source2: xsetbgimg
Patch:   xv-3.10a.dif
Patch1:  FixPix4xv.patch

%description
XV is an interactive image viewer for the X Window System. The XV
program displays images in the GIF, JPEG, TIFF, PNG, PBM, PGM, PPM, X11
bitmap, Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX,
IRIS RGB, XPM, Targa, XWD, possibly PostScript, and PM formats on
workstations and terminals running the X Window System, Version 11.
The XV program is also capable to manipulate pictures. It can zoom in
and out of picture, and rotate and flip them. It also provides a wide
variety of operations to modify colors.
Surley, one of the most famous programs under Linux.
You will find the documentation in /usr/share/doc/packages/xv/.
Please remember that this program has shareware status for commercial use.

Authors:
--------
    John Bradley <bradley@dccs.upenn.edu>

SuSE series: pay

%prep
%setup
tar xfI ${RPM_SOURCE_DIR}/xv-jap-patches.tar.bz2
test $? -ne 0 && exit $?
patch -p1 < Patch.xv310a-ext-4.0.3
test $? -ne 0 && exit $?
%patch -P 1
%patch

%build
make -f Makefile.Linux compile

%install
make -f Makefile.Linux install
install -m 755 $RPM_SOURCE_DIR/xsetbgimg /usr/X11R6/bin/xsetbgimg

%files
%doc README.xv310a-ext-4.0.3 README.xv310a-ext-4.0.3.eg README.PhotoCD
%doc COPYRIGHT CHANGELOG.jp-ext magic.add docs/*
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xsetbgimg
/usr/X11R6/bin/xv
/usr/X11R6/bin/xvpictoppm
%doc /usr/X11R6/man/man1/bggen.1x.gz
%doc /usr/X11R6/man/man1/vdcomp.1x.gz
%doc /usr/X11R6/man/man1/xcmap.1x.gz
%doc /usr/X11R6/man/man1/xv.1x.gz
%doc /usr/X11R6/man/man1/xvpictoppm.1x.gz

%changelog -n xv
* Tue Aug 21 2001 - cstein@suse.de
- added some sanity checking to 'xsetbgimg'
* Fri Jul 06 2001 - cstein@suse.de
- added 'xsetbgimg', a small shell script to set the X background
  quickly (calls xv)
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Jun 06 2000 - werner@suse.de
- Correct last change
* Sat May 27 2000 - kukuk@suse.de
- Use %%doc macro for documentation
* Wed Jan 12 2000 - werner@suse.de
- Better dithering of TrueColor pictures on 16bit displays
* Tue Sep 28 1999 - werner@suse.de
- Temporay files writable and readable for the owner
* Thu Sep 23 1999 - werner@suse.de
- Make temporay file creation more secure
  * Use vdroot for tmpdir if AUTOEXTRACT is defined
  * Try to open with O_WRONLY|O_CREAT|O_EXCL first
  * Unsolved: gs and pic2 output page files (%%d)
- Use better visual detection for 24 bit displays
- Expand tiff handling
  * more than the first page is viewable
  * handle LZW compression
* Wed Sep 22 1999 - werner@suse.de
- Add some boundary checks
- Add pdf support via gs
- Fix hints handling (flags initialized to zero)
- Fix grabbing
- Fix gif for deep colours spaces
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Nov 29 1998 - bs@suse.de
- don't compile with -fno-force-mem
* Wed Nov 04 1998 - werner@suse.de
- Add jap patch for new formats
- Erase remaining pixels of a not fitting line (XPM)
- Some security fixes
* Thu Sep 17 1998 - ro@suse.de
- don't redeclare sys_errlist for glibc
* Wed Nov 05 1997 - werner@suse.de
- Added png support
* Fri Oct 17 1997 - ro@suse.de
- added -lz after -ltiff
* Fri Feb 14 1997 - werner@suse.de
- Good old xv new packed
- Including some fixes for xv-3.10a
- Fix a bug in writing xpm
- Use shared lib's: libtiff.so.3, libjpeg.so.5, libgz.so.1
- Enable ghostscript and gunzip
